National Cyber Crime Report
The National Cyber Crime Support Suspect API provides an automated interface to check identifiers (mobile numbers, bank accounts, UPI IDs, emails, social media handles) against the National Cyber Crime Reporting Portal (https://cybercrime.gov.in).
national_cyber_crime_report
POST https://secctrl.tutelar.io/api/v1/services/business_profile/national_cyber_crime_report
Sample Request Body
Body
Type
Mandatory
Description
identifier
string
Yes
The identifier to check. Can be mobile, bank account, UPI ID, email, or social media handle. Min: 1, Max: 256 characters.
Sample Post Parameters
{
"identifier": "im.johnOfcl",
}//Report Found
{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "af761acb-1df9-45f2-9e41-e054a7e4b29b",
"status": "completed",
"result": {
"identifier": "saddamHussein.Ofcl",
"identifier_type": "Social Media Id",
"flagged": true,
"report_count": 1,
"remarks": "This Social Media saddamHussein.Ofcl has been reported on National Cybercrime Reporting Portal (www.cybercrime.gov.in) as suspectSocial Media Id by the citizens."
},
"requested_at": "2026-04-13T09:30:49.124Z",
"completed_at": "2026-04-13T09:32:32.287Z"
}
//Report Not Found
{
"success": true,
"code": 200,
"message": "The request has been successfully completed.",
"reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
"status": "completed",
"result": {
"identifier": "93601040xx",
"identifier_type": "Mobile Number",
"flagged": false,
"report_count": 0,
"remarks": "Not Found There are no records found with your search !!"
},
"requested_at": "2026-04-13T10:15:30.612Z",
"completed_at": "2026-04-13T10:17:06.916Z"
}Get details
GET https://secctrl.tutelar.io/api/v1/services/business_profile/national_cyber_crime_report
Query parameters description is given below,
Query Parameter
Type
Is Mandatory
Description
reference_id
String
Yes
Document reference id
Last updated